/*
	blur.frag -- A simple one directional guassian blur for glow maps

	texture - the texture to be blurred
	stencil - number of samples to take (in each direction from center)
	displacement - displacement direction
		typically you want to run the program once with displacement = (1,0)
		and then again on the program's output using displacement = (0,1)
	inv_rho_sq	- 1.0 / (rho * rho), passed in so the value isn't computed each time
	multiplier  - multiplies the output pixel color by a scale factor, used to control brightness
*/

uniform sampler2D texture;
uniform vec2 displacement;

void main(void) {

   	vec2 coords 	= gl_TexCoord[0].xy;	
	vec4 color = vec4(0.0);
	
	color	   += 0.125 * texture2D(texture, coords - 2.0 * displacement);
	color	   += 0.225 * texture2D(texture, coords - displacement);
	color	   += 0.30 * texture2D(texture, coords);
	color	   += 0.225 * texture2D(texture, coords + displacement);
	color	   += 0.125 * texture2D(texture, coords + 2.0 * displacement);

	gl_FragColor = color;

}